﻿using System;
using System.Windows.Forms;

namespace WindowsFormsNETCore3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            btn.Top = 10;
            btn.Left = 10;
            btn.Width = 150;
            btn.Text = "Hello .NET Core 3.0!";
            Controls.Add(btn);

            browser.Top = 35;
            browser.Left = 10;
            browser.Width = Width - 30;
            browser.Height = Height - 30;
            browser.Url = new Uri("http://skaterpro.net");
            Controls.Add(browser);

            Class1 cl1 = new Class1();
            Class2 cl2 = new Class2();

            btn.Click += new EventHandler(button_Click);
        }

        Button btn = new Button();
        WebBrowser browser = new WebBrowser();
        protected void button_Click(object sender, EventArgs e)
        {
            Button button = sender as Button;
            Form frm = new Form();
            frm.Text = "Pop-up window";
            frm.ShowDialog();
        }
    }
    public class Class1
    {
        public string str1 = "public string first inside Class1";
        public string str2 = "public string second inside Class1";
        public string str3 = "public string 3rd inside Class1";
        public int int1 = 1111;
        public int int2 = 22;
        public int int3 = 3;

        public Class1()
        {
            string str1 = "local string first inside Class1 subclass";
            string str2 = "local string second inside Class1 subclass";
            string str3 = "local string 3rd inside Class1 subclass";
            int int1_1 = 1111;
            int int1_2 = 22;
            int int1_3 = 3;
        }

        public System.DateTime dt()
        {
            return System.DateTime.Now;
        }
    }

    public class Class2 : UriTypeConverter
    {
        public string str1 = "public string first inside Class2";
        public string str2 = "public string second inside Class2";
        public string str3 = "public string 3rd inside Class2";
        public int int1 = 1111;
        public int int2 = 22;
        public int int3 = 3;

        public Class2()
        {
            string str1 = "local string first inside Class2 subclass";
            string str2 = "local string second inside Class2 subclass";
            string str3 = "local string 3rd inside Class2 subclass";
            int int1_1 = 1111;
            int int1_2 = 22;
            int int1_3 = 3;
        }

        public DateTime dt()
        {
            return DateTime.Now;
        }
    }
}
